//Kindly save this file as .geo and then run in gmsh
//Tutorial part 1: Creating a sphere in Gmsh

s=0.1; // sphere mesh variable
Mesh.CharacteristicLengthFromCurvature = 0.05;
d=0.5; // domain mesh variable

//Geometry for sphere

Point(1) = {0, 0, 0, s};
Point(2) = {-1, 0, 0, s};
Point(3) = {1, 0, 0, s};
Point(4) = {0, -1, 0, s};
Point(5) = {0, 1, 0, s};
Point(6) = {0, 0, 1, s};
Point(7) = {0, 0, -1, s};
Circle(1) = {3, 1, 5};
Circle(2) = {2, 1, 5};
Circle(3) = {2, 1, 4};
Circle(4) = {4, 1, 3};
Circle(5) = {6, 1, 3};
Circle(6) = {6, 1, 2};
Circle(7) = {2, 1, 7};
Circle(8) = {7, 1, 3};
Circle(9) = {5, 1, 6};
Circle(10) = {6, 1, 4};
Circle(11) = {4, 1, 7};
Circle(12) = {7, 1, 5};
Line Loop(13) = {9, 5, 1};
Ruled Surface(14) = {13};
Line Loop(15) = {2, 9, 6};
Ruled Surface(16) = {15};
Line Loop(17) = {7, 12, -2};
Ruled Surface(18) = {17};
Line Loop(19) = {12, -1, -8};
Ruled Surface(20) = {19};
Line Loop(21) = {6, 3, -10};
Ruled Surface(22) = {21};
Line Loop(23) = {10, 4, -5};
Ruled Surface(24) = {23};
Line Loop(25) = {11, -7, 3};
Ruled Surface(26) = {25};
Line Loop(27) = {8, -4, 11};
Ruled Surface(28) = {27};

// Surface loop for volume defination

Surface Loop(29) = {14, 16, 18, 20, 22, 24, 26, 28};

//End of tutorial part 1

// Tutorial part 2: Unstructed Mesh Generation using Gmsh

// Domain geometry

Point(8) = {-15, -15, -15, d};
Point(9) = {-15, 15, -15, d};
Point(10) = {-15, -15, 15, d};
Point(11) = {-15, 15, 15, d};
Point(12) = {30, 15, 15, d};
Point(13) = {30, -15, 15, d};
Point(14) = {30, -15, -15, d};
Point(15) = {30, 15, -15, d};
Line(30) = {11, 9};
Line(31) = {11, 12};
Line(32) = {12, 15};
Line(33) = {9, 15};
Line(34) = {12, 13};
Line(35) = {15, 14};
Line(36) = {14, 13};
Line(37) = {13, 10};
Line(38) = {10, 8};
Line(39) = {11, 10};
Line(40) = {9, 8};
Line(41) = {8, 14};

Line Loop(42) = {31, 34, 37, -39};
Plane Surface(43) = {42};
Line Loop(44) = {33, -32, -31, 30};
Plane Surface(45) = {44};
Line Loop(46) = {40, -38, -39, 30};
Plane Surface(47) = {46};
Line Loop(48) = {41, 36, 37, 38};
Plane Surface(49) = {48};
Line Loop(50) = {33, 35, -41, -40};
Plane Surface(51) = {50};
Line Loop(52) = {35, 36, -34, 32};
Plane Surface(53) = {52};

//Physical surfaces of domian

Physical Surface("wall") = {43, 49, 51, 45};
Physical Surface("inlet") = {47};
Physical Surface("outlet") = {53};

//Surface loop for volume defination

Surface Loop(57) = {43, 45, 47, 49, 51, 53};

//Volume defination

Volume(58) = {29, 57};
Physical Volume(59) = {58};

// End of tutorial
